// goto.c - a tiny program demonstrating the use of goto

main()
{
  int spaghetti_counter = 0;

 nirvana:
  printf("I'm in nirvana...\n");
  spaghetti_counter++;
  if (spaghetti_counter > 5)
    goto walhalla;
  goto nirvana;
 walhalla:
  printf("finally in walhalla\n");
}
